aws: TASK: [ems | debug var=rabbitmq_ems_user verbosity=2] ************************* aws: ok: [127.0.0.1] => { aws: "var": { aws: "rabbitmq_ems_user": { aws: "changed": true, aws: "cmd": "/bin/bash /usr/sbin/rabbitmqctl add_vhost testMessaging && /usr/sbin/rabbitmqctl add_user test rabbit && /usr/sbin/rabbitmqctl set_permissions -p testMessaging test '.*' '.*' '.*'", aws: "delta": "0:00:00.406674", aws: "end": "2016-08-03 15:15:14.019714", aws: "invocation": { aws: "module_args": "/bin/bash /usr/sbin/rabbitmqctl add_vhost testMessaging && /usr/sbin/rabbitmqctl add_user test rabbit && /usr/sbin/rabbitmqctl set_permissions -p testMessaging test '.*' '.*' '.*'", aws: "module_complex_args": {}, aws: "module_name": "shell" aws: }, aws: "rc": 0, aws: "start": "2016-08-03 15:15:13.613040", aws: "stderr": "", aws: "stdout": "Creating vhost \"testMessaging\" ...\n...done.\nCreating user \"test\" ...\n...done.\nSetting permissions for user \"test\" in vhost \"testMessaging\" ...\n...done.", aws: "stdout_lines": [ aws: "Creating vhost \"testMessaging\" ...", aws: "...done.", aws: "Creating user \"test\" ...", aws: "...done.", aws: "Setting permissions for user \"test\" in vhost \"testMessaging\" ...", aws: "...done." aws: ], aws: "warnings": [] aws: } aws: } aws: }[root@lpr-634309fd ~]# rabbitmqctl list_usersListing users ...guest [administrator]...done.[root@lpr-634309fd ~]# rabbitmqctl list_vhostsListing vhosts .../...done.[root@lpr-634309fd ~]#--
You received this message because you are subscribed to the Google Groups "rabbitmq-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rabbitmq-user...@googlegroups.com.
To post to this group, send email to rabbitm...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
-rw-r--r--. 1 rabbitmq pivotal 2078 Aug 3 11:17 rabbit@ip-10-71-3-51.log
-rw-r--r--. 1 rabbitmq pivotal 1611 Aug 3 13:03 rabbit@lpr-634309fd.log aws: TASK: [ems | Create rabbitmq-env.conf file to define RabbitMQ NODE name] ******
aws: changed: [127.0.0.1]
[root@ip-10-100-50-119 rabbitmq]# cat /etc/rabbitmq/rabbitmq-env.confNODENAME=ems[root@ip-10-100-50-119 rabbitmq]#[root@ip-10-100-50-119 rabbitmq]# ls -al /var/log/rabbitmq/total 32drwxr-x---. 2 rabbitmq pivotal 4096 Aug 4 14:59 .drwxr-xr-x. 5 root root 4096 Aug 4 15:06 ..-rw-r--r--. 1 rabbitmq pivotal 5382 Aug 4 15:07 ems.log-rw-r--r--. 1 rabbitmq pivotal 825 Aug 4 15:07 ems-sasl.log-rw-r--r--. 1 root root 0 Aug 4 14:59 shutdown_err-rw-r--r--. 1 root root 60 Aug 4 14:59 shutdown_log-rw-r--r--. 1 root root 77 Aug 4 15:07 startup_err-rw-r--r--. 1 root root 1675 Aug 4 15:07 startup_log[root@ip-10-100-50-119 rabbitmq]# cat startup_log
RabbitMQ 3.3.4. Copyright (C) 2007-2014 GoPivotal, Inc. ## ## Licensed under the MPL. See http://www.rabbitmq.com/ ## ## ########## Logs: /var/log/rabbitmq/ems.log ###### ## /var/log/rabbitmq/ems-sasl.log ########## Starting broker...
BOOT FAILED===========
Error description: {error,{failed_to_cluster_with,['ems@ip-10-71-2-101'], "Mnesia could not connect to any nodes."}}
Log files (may contain more information): /var/log/rabbitmq/ems.log /var/log/rabbitmq/ems-sasl.log
Stack trace: [{rabbit_mnesia,change_extra_db_nodes,2,[]}, {rabbit_mnesia,init_db,3,[]}, {rabbit_mnesia,init_db_and_upgrade,3,[]}, {rabbit_mnesia,init,0,[]}, {rabbit,'-run_boot_step/1-lc$^1/1-1-',1,[]}, {rabbit,run_boot_step,1,[]}, {rabbit,'-start/2-lc$^0/1-0-',1,[]}, {rabbit,start,2,[]}]
BOOT FAILED===========
Error description: {could_not_start,rabbit, {bad_return, {{rabbit,start,[normal,[]]}, {'EXIT', {rabbit,failure_during_boot, {error, {failed_to_cluster_with, ['ems@ip-10-71-2-101'], "Mnesia could not connect to any nodes."}}}}}}}
Log files (may contain more information): /var/log/rabbitmq/ems.log /var/log/rabbitmq/ems-sasl.log
{"init terminating in do_boot",{rabbit,failure_during_boot,{could_not_start,rabbit,{bad_return,{{rabbit,start,[normal,[]]},{'EXIT',{rabbit,failure_during_boot,{error,{failed_to_cluster_with,['ems@ip-10-71-2-101'],"Mnesia could not connect to any nodes."}}}}}}}}}--
You received this message because you are subscribed to the Google Groups "rabbitmq-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rabbitmq-users+unsubscribe@googlegroups.com.
To post to this group, send email to rabbitmq-users@googlegroups.com.
I'm not trying to cluster. I'm trying to install RabbitMQ and configure with a base user/password and vhost in a prebake stage. That way when the image is launched the instance already has a preconfigured RabbitMQ with the user/password & vhost.
--
You received this message because you are subscribed to the Google Groups "rabbitmq-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rabbitmq-users+unsubscribe@googlegroups.com.
To post to this group, send email to rabbitmq-users@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
# install Erlang RPM- name: Install Erlang RPM via YUM yum: name="{{staging_dir}}/{{ems_archive_dir}}/{{erlang_rpm_filename}}" state=present
# install RabbitMQ RPM- name: Install RabbitMQ RPM via YUM yum: name="{{staging_dir}}/{{ems_archive_dir}}/{{rabbiqmq_rpm_filename}}" state=present
# update ConfigureEMS script perms- name: Update ConfigureEMS script perms file: path="{{staging_dir}}/{{ems_archive_dir}}/{{configure_ems_filename}}" mode=0700
- name: Create rabbitmq-env.conf file to define RabbitMQ NODE name template: src=rabbitmq-env.conf.j2 dest=/etc/rabbitmq/rabbitmq-env.conf mode=0644
# make RabbitMQ auto-start on boot- name: Ensure RabbitMQ service startup and running service: name=rabbitmq-server enabled=yes state=started
# execute ConfigureEMS script- name: Execute ConfigureEMS script shell: "bash {{configure_ems_filename}} {{ems_username}} {{ems_password}} {{ems_vhostname}}" args: chdir: "{{staging_dir}}/{{ems_archive_dir}}"NODENAME={{ems_rabbitmq_node_name}}NODENAME=ems#!/bin/sh
SCRIPT=`basename $0`
USAGE="Usage: ${SCRIPT} username password virtualhost"
if [ $# -ne 3 ]; then echo echo "${USAGE}" >&2 echo exit 1fi
if [ `id -u` != 0 ] ; then echo echo "Only root should run ${SCRIPT}" echo exit 1fi
AMQP_USER=AMQP_PASS=AMQP_HOST=
while [ $# -gt 0 ]; do if [ -z "${AMQP_USER}" ]; then AMQP_USER="${1}" elif [ -z "${AMQP_PASS}" ]; then AMQP_PASS="${1}" elif [ -z "${AMQP_HOST}" ]; then AMQP_HOST="${1}" fi shiftdone
if [ -z "${AMQP_USER}" ]; then echo "Required: username" exit 1fi
if [ -z "${AMQP_PASS}" ]; then echo "Required: password" exit 1fi
if [ -z "${AMQP_HOST}" ]; then echo "Required: virtualhost" exit 1fi
PATH=/sbin:/usr/sbin:${PATH}
ROOT_SERVICE="service"
AMQP_SERVER="rabbitmq-server"AMQP_CONTROL="rabbitmqctl"
AMQP_PLUGIN_CONFIG="rabbitmq-plugins"AMQP_PLUGIN_NAME="rabbitmq_management"
AMQP_ADD_USER="add_user"AMQP_ADD_ACCESS="set_user_tags"AMQP_ADD_HOST="add_vhost"AMQP_ADD_HOST_ACCESS="set_permissions -p"AMQP_DEFAULT_HOST="/"AMQP_ADMIN_ACCESS="administrator"
# Ensure the AMQP service is running
echoecho "Starting the TEST Messaging Service..."echo
${ROOT_SERVICE} ${AMQP_SERVER} start
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS start encountered Error ${EXEC_STATUS}" >&2 echofi
# Enable the Administrative plug-in
echoecho "Enabling the Admin GUI on port 15672..."echo
${AMQP_PLUGIN_CONFIG} enable ${AMQP_PLUGIN_NAME}
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS GUI enable encountered Error ${EXEC_STATUS}" >&2 echofi
# Restart the service to enable the plug-in
${ROOT_SERVICE} ${AMQP_SERVER} restart
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS restart encountered Error ${EXEC_STATUS}" >&2 echofi
# Create the admin user
${AMQP_CONTROL} ${AMQP_ADD_USER} ${AMQP_USER} ${AMQP_PASS}
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS user create encountered Error ${EXEC_STATUS}" >&2 echofi
# Make the user an administrator
${AMQP_CONTROL} ${AMQP_ADD_ACCESS} ${AMQP_USER} ${AMQP_ADMIN_ACCESS}
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS admin control encountered Error ${EXEC_STATUS}" >&2 echofi
# Create the virtual host
${AMQP_CONTROL} ${AMQP_ADD_HOST} ${AMQP_HOST}
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS virtual host creation encountered Error ${EXEC_STATUS}" >&2 echofi
# Grant access to the virtual host to the user
${AMQP_CONTROL} ${AMQP_ADD_HOST_ACCESS} ${AMQP_HOST} ${AMQP_USER} ".*" ".*" ".*"
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS virtual host access control encountered Error ${EXEC_STATUS}" >&2 echofi
# Grant access to the default virtual host to the user
${AMQP_CONTROL} ${AMQP_ADD_HOST_ACCESS} ${AMQP_DEFAULT_HOST} ${AMQP_USER} ".*" ".*" ".*"
EXEC_STATUS=$?if [ ${EXEC_STATUS} -ne 0 ]; then echo echo "WARNING: EMS virtual host access control encountered Error ${EXEC_STATUS}" >&2 echofi
echoecho "TEST Messaging Service configuration completed."echo
Would being installed in a prebake under a different hostname then being launched with a new hostname constitute a "cluster"? I assumed that by setting the NODENAME in /etc/rabbitmq/rabbitmq-env.config defines the necessary configuration & takes the hostnames out of the equation?
--
You received this message because you are subscribed to the Google Groups "rabbitmq-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rabbitmq-users+unsubscribe@googlegroups.com.
To post to this group, send email to rabbitmq-users@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
=INFO REPORT==== 4-Aug-2016::14:59:41 ===
node : ems@ip-10-71-2-101
home dir : /var/lib/rabbitmq
config file(s) : (none)
cookie hash : XtGvrbshozbMlz3PP+dXQw==
log : /var/log/rabbitmq/ems.log
sasl log : /var/log/rabbitmq/ems-sasl.log
database dir : /var/lib/rabbitmq/mnesia/ems
--
Copyright (C) 2007-2014 GoPivotal, Inc.
=INFO REPORT==== 4-Aug-2016::14:59:46 ===
node : ems@ip-10-71-2-101
home dir : /var/lib/rabbitmq
config file(s) : (none)
cookie hash : XtGvrbshozbMlz3PP+dXQw==
log : /var/log/rabbitmq/ems.log
sasl log : /var/log/rabbitmq/ems-sasl.log
database dir : /var/lib/rabbitmq/mnesia/ems
--
Copyright (C) 2007-2014 GoPivotal, Inc.
=INFO REPORT==== 4-Aug-2016::15:07:08 ===
node : ems@ip-10-100-50-119
home dir : /var/lib/rabbitmq
config file(s) : (none)
cookie hash : XtGvrbshozbMlz3PP+dXQw==
log : /var/log/rabbitmq/ems.log
sasl log : /var/log/rabbitmq/ems-sasl.log
database dir : /var/lib/rabbitmq/mnesia/ems--
You received this message because you are subscribed to the Google Groups "rabbitmq-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to rabbitmq-users+unsubscribe@googlegroups.com.
To post to this group, send email to rabbitmq-users@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.